# log4cplus::thread::AbstractThread Class Reference

There are many cross-platform C++ Threading libraries. More...

`#include <threads.h>`

Inheritance diagram for log4cplus::thread::AbstractThread:

[legend]
Collaboration diagram for log4cplus::thread::AbstractThread:

[legend]
List of all members.

## Public Member Functions

| AbstractThread ()
bool | isRunning ()
LOG4CPLUS_THREAD_KEY_TYPE | getThreadId ()
virtual void | start ()

## Protected Member Functions

virtual | ~AbstractThread ()
virtual void | run ()=0

## Detailed Description

There are many cross-platform C++ Threading libraries.

The goal of this class is not to replace (or match in functionality) those libraries. The goal of this class is to provide a simple Threading class with basic functionality.

Definition at line 67 of file threads.h.

## Constructor & Destructor Documentation

log4cplus::thread::AbstractThread::AbstractThread | ( |  | ) |

virtual log4cplus::thread::AbstractThread::~AbstractThread | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

LOG4CPLUS_THREAD_KEY_TYPE log4cplus::thread::AbstractThread::getThreadId | ( |  | ) | `[inline]`

| Definition at line 71 of file threads.h.

bool log4cplus::thread::AbstractThread::isRunning | ( |  | ) | `[inline]`

| Definition at line 70 of file threads.h.

virtual void log4cplus::thread::AbstractThread::run | ( |  | ) | `[protected, pure virtual]`

virtual void log4cplus::thread::AbstractThread::start | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following file:

- threads.h